---
title: Get
url: https://www.tines.com/stories/docs/api/records/record_types/get/
updated: 2026-07-13T14:23:32+00:00
description: "A record type defines the schema for a set of records — the fields to store and how they behave. See [Records](https://www.tines.com/docs/records/) in the Tines docs to learn more."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Records](https://www.tines.com/llm/stories/docs/api/records.md) › [Record types](https://www.tines.com/llm/stories/docs/api/records/record_types.md)*

# Get

*[View on tines.com](https://www.tines.com/stories/docs/api/records/record_types/get/)*

## Description

A record type defines the schema for a set of records — the fields to store and how they behave. See [Records](https://www.tines.com/docs/records/) in the Tines docs to learn more.

Retrieve a single record type.

## Request

HTTP Method: **GET**

| Path parameter | Description                            |
| -------------- | -------------------------------------- |
| record_type_id | The ID of the record type to retrieve. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/record_types/<<record_type_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object representing the specified record type.

### Field description

| Parameter             | Description                                                                                                                                                             |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                    | The record type ID.                                                                                                                                                     |
| name                  | The record type name.                                                                                                                                                   |
| description           | A short description of the record type, or null if not set.                                                                                                             |
| team_id               | ID of team to which the record type belongs.                                                                                                                            |
| editable              | Whether the records for this record type are editable or not.                                                                                                           |
| ttl_days              | Records for this record type will be deleted after this number of days.                                                                                                 |
| retention_column_name | The timestamp column used to determine record age for TTL expiry. One of `CREATED_AT` or `UPDATED_AT`. With `UPDATED_AT`, a record's age resets each time it's updated. |
| on_limit_reached      | Behavior when the record type reaches its per-type record limit. One of `REJECT` (block new writes) or `EVICT_OLDEST` (delete the oldest record to make room).          |
| max_records_limit     | Custom per-record-type record limit, or `null` if no custom limit is set (in which case the tenant default applies).                                                    |
| record_fields         | An array of objects describing the custom record fields defined by the user.                                                                                            |
| default_record_fields | An array of objects describing the built-in default record fields.                                                                                                      |

### Sample response

```json
{
  "id": 1,
  "name": "Alerts",
  "description": "Alerts from external sources",
  "team_id": 123,
  "editable": true,
  "ttl_days": 4,
  "retention_column_name": "CREATED_AT",
  "on_limit_reached": "REJECT",
  "max_records_limit": null,
  "record_fields": [
    {
      "id": 1,
      "name": "Severity",
      "description": null,
      "result_type": "TEXT",
      "fixed_values": []
    }
  ],
  "default_record_fields": [
    {
      "id": 2,
      "name": "Record ID",
      "description": null,
      "result_type": "NUMBER",
      "fixed_values": []
    },
    {
      "id": 3,
      "name": "Story name",
      "description": null,
      "result_type": "TEXT",
      "fixed_values": []
    },
    {
      "id": 4,
      "name": "Timestamp",
      "description": null,
      "result_type": "TIMESTAMP",
      "fixed_values": []
    },
    {
      "id": 5,
      "name": "Updated at",
      "description": null,
      "result_type": "TIMESTAMP",
      "fixed_values": []
    }
  ]
}
```
